Subject: [netatalk-admins] AS IP speeds

From: "Yann Bizeul" <[email-masked]>
Date: Wed, 06 Jan 1999 17:28:35 +0100

Here are my comparative stats for transfert rates :

An Appleshare IP 6 G3/300 server 100BaseT full duplex :
4,7 M/s upload
3.4 M/s dowload

My linux box Pentium II 333, 100 BaseT full duplex :
3 M/s upload
900 K/s download

How do u explain the difference ? Both are connected on a 100 BaseT Full
Duplex Switch
The linux box has the latest netatalk+asun version...

Is theres options to set up with netatalk ?

Why is the download slower than upload ?

Thanks
_____________________________________________________
e-mail:[email-masked]
(vers portable : [email-masked])
HomePage:.......http://perso.club-internet.fr/ybizeul
ICQ:.........................................10482694
__________________ Pentium Toaster __________________

---

From: "Darron Froese" <[email-masked]>
Date: Thu, 07 Jan 1999 13:32:13 -0700

I've got a couple ASIP servers here so here's some informal speed tests:

Network Layout:

Servers:

ASIP 6.1 running on a G3/233 w/96MB of RAM. OS8.5.1. 100BaseTX directly into
a Farallon Switch.

netatalk-1.4b2+asun2.0a18.2-oa1a running on a Power Macintosh 6100/60 w/72MB
of RAM. Mklinux with Linux 2.0.36. Also running a ton of other services
(named, email, web [http and https]). 10BaseT unswitched.

Client:

G3/266 w/160MB of RAM running OS8.5.1. 100BaseTX directly into the switch.

Tests

Copy a 750MB file to and from the ASIP 6.1 Server
To: 2 minutes 40 seconds ~ 4.7MB/second with bursts up to 8MB/second
From: 2 minutes 45 seconds ~ 4.55MB/second with bursts up to 6.5MB/second

Copy a 260MB file to and from the mklinux server
To: 6 minutes and 50 seconds ~ 600K/second with bursts up to 900K/second
From: 12 minutes and 20 seconds ~ 350K/second with bursts up to 500K/second
(NOTE: The big brother server monitoring system updated during this time
slowing things down tremendously)

--
Darron
[email-masked] - WestWorld Computers
<http://i.am/darron/>

---

From: "Ephraim Franzzup" <[email-masked]>
Date: Fri, 08 Jan 1999 04:00:55 PST

>The linux box has the latest netatalk+asun version...

What version of the client are you using? There are some performance
issues with some of the 3.7.x AppleShare Client versions when used
against certain IP servers. I think there is some info on this either
in the Apple Tech Info Library (til.info.apple.com) or in a Tech Note
from Xinet (makers of K-AShare, a commercial AsIP server for *nix).

You want to use at least 3.8. I have a Linux server here running a
somewhat dated version of netatalk/asun, and I get roughly 4 MB/s
read and 3 MB/s write for multimegabyte files. Note that this is not
an up-to-date machine, it has an Asus T2P4 motherboard, a Cyrix 6x86
PR233, and furthermore it is doing a software (!) RAID-5 over fast (not
Ultra) SCSI cards to four-year-old Fujitsu drives. So I don't believe
the comments that the I/O is your bottleneck... :-)

Good luck,
Chris Ferebee

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com

---

From: Bob Atkins <[email-masked]>
Date: Mon, 11 Jan 1999 10:13:49 -0800 (PST)

Sak,

There is nothing wrong with our systems. I have observed similar
performance at several of our customer sites as well. 400KBytes/sec
is about equivalent to 4Mbits/sec which as Mac systems go isn't bad.

I have had 7 different networks to compare G3/300 ethernet performance
on and they all stack up about the same. If you are getting more
than 4Mbits/sec consider yourself lucky.

---
Bob

> 
> In reply to Bob Atkins's message of the 10/01/99 at 10:41 -0800,
> 
> 
> > I have found through considerable experimentation that most G3/300
> > systems can't do more than 380-420KBytes/sec sustained transfer rates
> > using ftp to/from a local SPARC/Solaris server over a 10BT LAN. I can
> > assure you that SPARC to SPARC the same file can be moved at
> > 995-1000KBytes/sec over the same 10BT LAN segment essentially achieving
> > saturation of the segment. Mac ethernet speeds have never been very
> > good and I have *never* seen any MacIntosh even come close to
> > saturating a 10BT ethernet the way a SPARC can or even a decent (200MHz
> > PII) PC can (885-900KBytes/sec).
> 
> Then there's something wrong with the way your Macs are set up. I was getting
> 1+ Mbyte/sec with a 604e/200 to my Linux box more than a year ago. Early
> versions of OpenTransport were none too brilliant, but  starting with 7.6.1, it
> improved greatly. 8.1 and earlier maxes out at about 3 Mbytes/sec from testing
> that I've done on my client's networks, but 8.5+ can double that. The main
> problem with the Mac now is that even in 8.5+, large parts of the file system
> are still running in 68K emulation; even so, 400 kbytes/sec is way too low.
> 
> Sak Wathanasin
> Network Analysis Limited
> 178 Wainbody Ave South, Coventry CV3 6BX, UK
> 
> Internet: [email-masked]
> Phone: (+44) 1203 419996                    Fax: (+44) 1203 690690
> 
> 
>